using System;
namespace ConsoleApp6
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s1 = Console.ReadLine().Split();
            int n = Convert.ToInt32(s1[0]);
            int q= Convert.ToInt32(s1[1]);
            Int64[]di= new Int64[n]; Int64[] pi = new Int64[n];
            for (int i = 0; i < n; i++)
            {
                string[] s2 = Console.ReadLine().Split();
                di[i] = Convert.ToInt64(s2[0]);
                pi[i] = Convert.ToInt64(s2[1]);
            }
            
            Int64 k = Convert.ToInt64(Console.ReadLine());Int64 br = 0;Int64 ne = 0;
            for (int i = 0; i < n; i++)
            {
                if (di[i] > k) { break; }
                ne = ne + pi[i]; 
                if (k < di[i])
                
                { br = ne + (pi[i] -k-1);  }
              
                if (k > di[i])
                {
                    if (di[i] + pi[i] > k) { br = ne -pi[i]+(k - di[i])+1; break;}
                    else { br = ne; }
                }
                if (k== di[i])
                { br = (ne - pi[i])+1; }
                if (br >= k) { break; }

            }
            Console.WriteLine(br);
            Console.ReadKey();
        }
    }
}